<?php
/*
Plugin Name: WP-SEOstats
Plugin URI: www.dossihost.net
Description: Add SEO stats to the Admin Toolbar in every page/post and also in the edit page/post.
Version: 0.01
Author: DrMosko
Author URI: www.dossihost.net

Text Domain: WP-SEOstats
Domain Path: /lang
*/
/* This script uses https://github.com/eyecatchup/SEOstats */


 
// admin page
function WP_SEOstats_admin() {   
    add_options_page( 'WP-SEOstats', 'WP-SEOstats','manage_options','WP_SEOstats_admin', 'WP_SEOstats_admin_options' );
	
}  
add_action('admin_menu', 'WP_SEOstats_admin');  

function WP_SEOstats_admin_options() {  // display the admin options page
?>
	<div>
	<?php screen_icon(); ?>
	

	<h2> WP-SEOstats is Working</h2>
	
	</div>
	
	<div id="WPShabbat-Donation">
	<?php
		echo '<br/><h2>' . __( 'presented info in pages : ','WP-SEOstats' ) . '</h2><br/>';
		
	?>	
	<div>
							<div id="WP_SEOstatsgooglePR">Google PageRank - Google PageRank for the given URL.</div>
							<div id="WP_SEOstatsgoogleTB">Google Total Backlinks </div>
							<div id="WP_SEOstatsgps">Google Plus Shares</div>
							<div id="WP_SEOstatstwitter">Twitter</div>
							<div id="WP_SEOstatsfacebook">Facebook likes</div>
							<div id="WP_SEOstatsalexa">Alexa Global Rank - global Alexa Traffic Rank (last 3 months).</div>
							<div id="WP_SEOstatsalexa">Alexa Back link Count - Alexa's backlink count for the given domain.</div>
							<div id="WP_SEOstatsopensiteex">OpenSiteExplorer Domain Authority - Predicts this domain's ranking potential in the search engines (1 to 100 count).</div>
							<div id="WP_SEOstatsopensiteex">OpenSiteExplorer Page Authority - Predicts this page's ranking potential in the search engines (1 to 100 count).</div>
							<div id="WP_SEOstatsopensiteex">OpenSiteExplorer Root-Domain Inbound Links - Number of unique root domains.</div>
							<div id="WP_SEOstatsopensiteex">OpenSiteExplorer Total Links - All links to this page including internal, external, followed, and nofollowed.</div>
							<div id="WP_SEOstatsopensiteex">OpenSiteExplorer Just added links - Number of links to this page found over the past 32 days.</div>
	</div>
	<?php
		echo '<br/><h2>' . __( 'Want to keep this plugin free, please make a donation','WP-SEOstats' ) . '</h2><br/>';
		
	?>		
	<form action="https://www.paypal.com/cgi-bin/webscr" method="post" target="_top">
	<input type="hidden" name="cmd" value="_s-xclick">
	<input type="hidden" name="hosted_button_id" value="53KUKZ9KN2YBN">
	<input type="image" src="https://www.paypalobjects.com/en_US/IL/i/btn/btn_donateCC_LG.gif" border="0" name="submit" alt="PayPal - The safer, easier way to pay online!">
	<img alt="" border="0" src="https://www.paypalobjects.com/en_US/i/scr/pixel.gif" width="1" height="1">
	</form>
	</div>
	<div>
	
 
<?php  
}  


// load language translation

function WP_SEOstats_lang()  
{  
    // Localization  
    load_plugin_textdomain('WP-SEOstats', false, dirname(plugin_basename(__FILE__)) . '/lang');  
}  
  
// Add actions  
add_action('init', 'WP_SEOstats_lang');  


function WP_SEOstats_in_admin_bar() {
    global $wp_admin_bar;
    global $post;
	require_once ('SEOstats/bootstrap.php');
	
	
	
	if ( ! is_admin() ) {
		$url = get_permalink();
		
		// Create a new SEOstats instance.
		$seostats = new \SEOstats\SEOstats;
		$seostats->setUrl($url)	;
		
		// Get Open-Site-Explorer metrics for the given URL.
		$ose = \SEOstats\Services\OpenSiteExplorer::getPageMetrics($url);
		
		
		$wp_admin_bar->add_menu( array(
			'id' => 'WP-SEOstats-in-admin-bar',
			'parent' => 'top-secondary',
			'title' => '<div style="position:relative;direction:ltr;">
							<span id="WP_SEOstatsgooglePR" style="font-size:15px"><img src="' . plugins_url( 'img/Google.png' , __FILE__ ) . '"/>PR:'. \SEOstats\Services\Google::getPageRank() .' </span>
							<span id="WP_SEOstatsgooglePR" style="font-size:15px"><img src="' . plugins_url( 'img/Google.png' , __FILE__ ) . '"/>BL:'. \SEOstats\Services\Google::getBacklinksTotal() .' </span>
							<span id="WP_SEOstatsgps" style="font-size:15px"><img src="' .plugins_url( 'img/google+.png' , __FILE__ ). '"/>+:'. \SEOstats\Services\Social::getGooglePlusShares() .' </span>
							<span id="WP_SEOstatstwitter" style="font-size:15px"><img src="' .plugins_url( 'img/Twitter.png' , __FILE__ ). '"/>+:'. \SEOstats\Services\Social::getTwitterShares() .' </span>
							<span id="WP_SEOstatsfacebook" style="font-size:15px"><img src="' .plugins_url( 'img/FB.png' , __FILE__ ). '"/>L:'. \SEOstats\Services\Social::getFacebookShares('like_count').' </span>
							<span id="WP_SEOstatsalexa" style="font-size:15px"><img src="' .plugins_url( 'img/Alexa.png' , __FILE__ ). '"/>GR:'. \SEOstats\Services\Alexa::getGlobalRank() .' </span>
							<span id="WP_SEOstatsalexa" style="font-size:15px"><img src="' .plugins_url( 'img/Alexa.png' , __FILE__ ). '"/>BL:'. \SEOstats\Services\Alexa::getBacklinkCount() .' </span>
							<span id="WP_SEOstatsopensiteex" style="font-size:15px"><img src="' .plugins_url( 'img/OSE.png' , __FILE__ ). '"/>DA:'. $ose->domainAuthority->result .' </span>
							<span id="WP_SEOstatsopensiteex" style="font-size:15px"><img src="' .plugins_url( 'img/OSE.png' , __FILE__ ). '"/>PA:'. $ose->pageAuthority->result .' </span>
							<span id="WP_SEOstatsopensiteex" style="font-size:15px"><img src="' .plugins_url( 'img/OSE.png' , __FILE__ ). '"/>LD: '. $ose->linkingRootDomains->result .' </span>
							<span id="WP_SEOstatsopensiteex" style="font-size:15px"><img src="' .plugins_url( 'img/OSE.png' , __FILE__ ). '"/>TL: '. $ose->totalLinks->result .' </span>
							<span id="WP_SEOstatsopensiteex" style="font-size:15px"><img src="' .plugins_url( 'img/OSE.png' , __FILE__ ). '"/>JL: '. $ose->justDiscovered->result .' </span>
						</div>'
		) );
	}	else {    // admin panel 
		if ( isset($_GET['action'])  && $_GET['action'] === 'edit' ){
		$url = get_permalink($post->ID);
		$seostats = new \SEOstats\SEOstats;
		$seostats->setUrl($url)	;
		// Get Open-Site-Explorer metrics for the given URL.
		$ose = \SEOstats\Services\OpenSiteExplorer::getPageMetrics($url);
		
		
		$wp_admin_bar->add_menu( array(
			'id' => 'WP-SEOstats-in-admin-bar',
			'parent' => 'top-secondary',
			'title' => '<div style="position:relative;direction:ltr;">
							<span id="WP_SEOstatsgooglePR" style="font-size:15px"><img src="' . plugins_url( 'img/Google.png' , __FILE__ ) . '"/>PR:'. \SEOstats\Services\Google::getPageRank() .' </span>
							<span id="WP_SEOstatsgooglePR" style="font-size:15px"><img src="' . plugins_url( 'img/Google.png' , __FILE__ ) . '"/>BL:'. \SEOstats\Services\Google::getBacklinksTotal() .' </span>
							<span id="WP_SEOstatsgps" style="font-size:15px"><img src="' .plugins_url( 'img/google+.png' , __FILE__ ). '"/>+:'. \SEOstats\Services\Social::getGooglePlusShares() .' </span>
							<span id="WP_SEOstatstwitter" style="font-size:15px"><img src="' .plugins_url( 'img/Twitter.png' , __FILE__ ). '"/>+:'. \SEOstats\Services\Social::getTwitterShares() .' </span>
							<span id="WP_SEOstatsfacebook" style="font-size:15px"><img src="' .plugins_url( 'img/FB.png' , __FILE__ ). '"/>L:'. \SEOstats\Services\Social::getFacebookShares('like_count').' </span>
							<span id="WP_SEOstatsalexa" style="font-size:15px"><img src="' .plugins_url( 'img/Alexa.png' , __FILE__ ). '"/>GR:'. \SEOstats\Services\Alexa::getGlobalRank() .' </span>
							<span id="WP_SEOstatsalexa" style="font-size:15px"><img src="' .plugins_url( 'img/Alexa.png' , __FILE__ ). '"/>BL:'. \SEOstats\Services\Alexa::getBacklinkCount() .' </span>
							<span id="WP_SEOstatsopensiteex" style="font-size:15px"><img src="' .plugins_url( 'img/OSE.png' , __FILE__ ). '"/>DA:'. $ose->domainAuthority->result .' </span>
							<span id="WP_SEOstatsopensiteex" style="font-size:15px"><img src="' .plugins_url( 'img/OSE.png' , __FILE__ ). '"/>PA:'. $ose->pageAuthority->result .' </span>
							<span id="WP_SEOstatsopensiteex" style="font-size:15px"><img src="' .plugins_url( 'img/OSE.png' , __FILE__ ). '"/>LD: '. $ose->linkingRootDomains->result .' </span>
							<span id="WP_SEOstatsopensiteex" style="font-size:15px"><img src="' .plugins_url( 'img/OSE.png' , __FILE__ ). '"/>TL: '. $ose->totalLinks->result .' </span>
							<span id="WP_SEOstatsopensiteex" style="font-size:15px"><img src="' .plugins_url( 'img/OSE.png' , __FILE__ ). '"/>JL: '. $ose->justDiscovered->result .' </span>
						</div>'
		) );
		}
	}
}
add_action( 'admin_bar_menu', 'WP_SEOstats_in_admin_bar' );
?>